Bug 4903 - [patch] globusrun option to delegate a full proxy
: [patch] globusrun option to delegate a full proxy
Status: RESOLVED FIXED
: GRAM
gt2 Gram client
: development
: All All
: P3 enhancement
: 4.2
Assigned To:
:
:
: 4988
:
  Show dependency treegraph
 
Reported: 2006-12-13 15:11 by
Modified: 2007-02-27 16:11 (History)


Attachments
globus_gram_client API patch to add control over limited versus full delegation (2.20 KB, patch)
2006-12-13 15:12, Jim Basney
Details
patch to add globusrun -full-proxy option to delegate a full proxy (2.16 KB, patch)
2006-12-13 15:12, Jim Basney
Details
globus_gram_client API patch to add control over limited versus full delegation (2.75 KB, patch)
2006-12-13 15:24, Jim Basney
Details
gram client / globusrun patch (22.74 KB, patch)
2007-01-29 12:50, Joe Bester
Details
gram client / globusrun patch (19.57 KB, patch)
2007-02-12 14:15, Joe Bester
Details


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2006-12-13 15:11:03
The ability to delegate a full proxy credential via globusrun is a common
request, to allow jobs to submit other jobs.  A number of grids patch their
globusrun installations to do it.  The following patches add a globusrun
-full-proxy option to provide the desired functionality.
------- Comment #1 From 2006-12-13 15:12:00 -------
Created an attachment (id=1141) [details]
globus_gram_client API patch to add control over limited versus full delegation
------- Comment #2 From 2006-12-13 15:12:59 -------
Created an attachment (id=1142) [details]
patch to add globusrun -full-proxy option to delegate a full proxy
------- Comment #3 From 2006-12-13 15:24:29 -------
Created an attachment (id=1143) [details]
globus_gram_client API patch to add control over limited versus full delegation

Fix refresh bug in previous patch.
------- Comment #4 From 2007-01-29 12:50:51 -------
Created an attachment (id=1177) [details]
gram client / globusrun patch

Here's an alternate implementation. The reason I did this was to avoid adding
more global state to the GRAM client library. Does it still meet your needs?
The patch is made from the CVS trunk.

joe
------- Comment #5 From 2007-01-29 13:13:38 -------
(In reply to comment #4)
> Created an attachment (id=1177) [edit] [details]
> gram client / globusrun patch
> 
> Here's an alternate implementation. The reason I did this was to avoid adding
> more global state to the GRAM client library. Does it still meet your needs?
> The patch is made from the CVS trunk.

Thanks for working on this.  Your implementation looks OK to me, except I think
you also need to modify globus_l_gram_client_job_refresh_credentials().
------- Comment #6 From 2007-02-09 15:36:58 -------
When testing a patch that added support for the credential refresh operation, I
noticed that the released version did not behave as expected. Adding a
dependency on that issue.
------- Comment #7 From 2007-02-12 14:15:01 -------
Created an attachment (id=1187) [details]
gram client / globusrun patch

Here's a new version of that patch that also updates the refresh credential
operation of globusrun.
------- Comment #8 From 2007-02-27 16:11:20 -------
The latest version of the patch is committed to CVS trunk.